Loading...
Searching...
No Matches
unique.hpp File Reference

Go to the source code of this file.

## Classes

class | jni::Unique< T, D >
struct | jni::NullDeleter
struct | jni::RemoveUnique< T >
struct | jni::RemoveUnique< Unique< T, D > >

## Namespaces

namespace | jni

## Typedefs

template<class T, template< RefDeletionMethod > class Deleter = DefaultRefDeleter>
using | jni::Global = Unique< T, Deleter<&JNIEnv::DeleteGlobalRef> >
template<class T, template< RefDeletionMethod > class Deleter = DefaultRefDeleter>
using | jni::Weak = Unique< T, Deleter<&JNIEnv::DeleteWeakGlobalRef> >
template<class T>
using | jni::Local = Unique< T, DefaultRefDeleter<&JNIEnv::DeleteLocalRef> >
template<class T>
using | jni::Input = Unique< T, NullDeleter >
template<class T>
using | jni::RemoveUniqueType = typename RemoveUnique<T>::Type

## Functions

template<class T>
auto | jni::ReleaseUnique (T primitive)
template<class T, class D>
auto | jni::ReleaseUnique (Unique< T, D > &&t)
template<template< RefDeletionMethod > class Deleter, class T>
auto | jni::NewGlobal (JNIEnv &env, const T &t)
template<class T>
auto | jni::NewGlobal (JNIEnv &env, const T &t)
template<template< RefDeletionMethod > class Deleter, class T, template< RefDeletionMethod > class WeakDeleter>
Global< T, Deleter > | jni::NewGlobal (JNIEnv &env, const Weak< T, WeakDeleter > &t)
template<class T>
Global< T > | jni::NewGlobal (JNIEnv &env, const Weak< T > &t)
template<template< RefDeletionMethod > class Deleter, class T>
auto | jni::NewWeak (JNIEnv &env, const T &t)
template<class T>
auto | jni::NewWeak (JNIEnv &env, const T &t)
template<class T>
auto | jni::NewLocal (JNIEnv &env, const T &t)
template<class T, template< RefDeletionMethod > class WeakDeleter>
Local< T > | jni::NewLocal (JNIEnv &env, const Weak< T, WeakDeleter > &t)